/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Iván Zaera Avellón
 */
public class AxisXTick extends ChartObject {

	public void addValue(Number value) {
		ArrayList values = get("values", ArrayList.class);

		values.add(value);
	}

	public final void addValues(Collection<? extends Number> values) {
		for (Number value : values) {
			addValue(value);
		}
	}

	public final void addValues(Number... values) {
		for (Number value : values) {
			addValue(value);
		}
	}

	public void setCentered(boolean centered) {
		set("centered", centered);
	}

	public final void setCount(int count) {
		set("count", count);
	}

	public void setCulling(boolean culling) {
		set("culling", culling);
	}

	public void setCulling(Culling culling) {
		set("culling", culling);
	}

	public void setFit(boolean fit) {
		set("fit", fit);
	}

	public void setMultiline(boolean multiline) {
		set("multiline", multiline);
	}

	public final void setOuter(boolean outer) {
		set("outer", outer);
	}

	public void setRotate(boolean rotate) {
		set("rotate", rotate);
	}

	public void setWidth(int width) {
		set("width", width);
	}

}