/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import com.liferay.portal.kernel.json.JSON;

/**
 * @author Iván Zaera Avellón
 */
public class AxisY2 extends ChartObject {

	@JSON(include = false)
	public AxisY2Tick getAxis2Tick() {
		return get("tick", AxisY2Tick.class);
	}

	public void setCenter(Number center) {
		set("center", center);
	}

	public void setDefaultRange(Range defaultRange) {
		set("default", defaultRange);
	}

	public void setInner(boolean inner) {
		set("inner", inner);
	}

	public void setInverted(boolean inverted) {
		set("inverted", inverted);
	}

	public void setLabel(String label) {
		set("label", label);
	}

	public void setMax(Number max) {
		set("max", max);
	}

	public void setMin(Number min) {
		set("min", min);
	}

	public void setPadding(Padding padding) {
		set("padding", padding);
	}

	public void setPositionLabel(PositionLabel positionLabel) {
		set("label", positionLabel);
	}

	public void setShow(boolean show) {
		set("show", show);
	}

}