/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import java.util.Collection;

/**
 * @author Iván Zaera Avellón
 */
public class TypedMultiValueColumn extends MultiValueColumn {

	public TypedMultiValueColumn(String id) {
		super(id);
	}

	public TypedMultiValueColumn(String id, Type type) {
		super(id);

		setType(type);
	}

	public TypedMultiValueColumn(
		String id, Type type, Collection<? extends Number> values) {

		super(id, values);

		setType(type);
	}

	public TypedMultiValueColumn(String id, Type type, Number... values) {
		super(id, values);

		setType(type);
	}

	public void setType(Type type) {
		set("type", type._value);
	}

	public enum Type {

		AREA("area"), AREA_SPLINE("area-spline"), AREA_STEP("area-step"),
		BAR("bar"), BUBBLE("bubble"), DONUT("donut"), GAUGE("gauge"),
		LINE("line"), PIE("pie"), SCATTER("scatter"), SPLINE("spline"),
		STEP("step");

		private Type(String value) {
			_value = value;
		}

		private final String _value;

	}

}