/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model.predictive;

import com.liferay.frontend.taglib.chart.model.ChartConfig;
import com.liferay.frontend.taglib.chart.model.MixedDataColumn;

import java.util.List;

/**
 * @author Julien Castelain
 */
public class PredictiveChartConfig extends ChartConfig<MixedDataColumn> {

	public void addDataColumn(MixedDataColumn column) {
		addColumn(column);
	}

	public String getAxisXTickFormat() {
		return get("axisXTickFormat", String.class);
	}

	public String getPredictionDate() {
		return get("predictionDate", String.class);
	}

	public List<String> getTimeseries() {
		return get("timeseries", List.class);
	}

	public void setAxisXTickFormat(String axisXTickFormat) {
		set("axisXTickFormat", axisXTickFormat);
	}

	public void setPredictionDate(String predictionDate) {
		set("predictionDate", predictionDate);
	}

	public void setTimeseries(List<String> timeseries) {
		set("timeseries", timeseries);
	}

}